<html>
  <head>
    <title>Small VanillaJS Vue.js App</title>
  </head>
  <body>
    <div id="app">
      City {{ address.city }}<br/>
      Street {{ address.street }}<br/>
      {{ messageEnhanced }}<br/>
      {{ messageSimpleEnhanced }}<br/>
      {{ message }}
    </div>
    <!-- 1. add an element to host your vue.js app here -->
    <!-- 2. add an address from { id, road, complement, zipCode, city, country -->
    <!-- 3. add another address to -->
    <!-- 4. add conditional fields -->
    <!-- 5. add a form to edit the address -->
    <!-- 6. allow dynamic adding / update / delete -->
    <!-- 7. maybe refactor somewhere ?! -->
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script type="text/javascript" >
      var dataTartampion = {
        message: 'Hellow Vue !',
        address: {
          city: 'Toulouse',
          // street
        }
      }

      var app = new Vue({
        el: '#app',
        data: dataTartampion,
        computed: {
          messageSimpleEnhanced() {
            return this.message + ' fullstack'
          },
          messageEnhanced: {
            get () {
              return this.message + ' pouet pouet'
            },
            set (newValue) {
              this.message = newValue
            }
          }
        }
      })
    </script>
  </body>
</html>
